Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.search
Class DefaultSearchRequest

    java.lang.Object
      org.crosswire.jsword.index.search.DefaultSearchRequest

All Implemented Interfaces:
  Serializable, SearchRequest

    public class DefaultSearchRequest

extends Object
implements SearchRequest

A default implementation of a SearchRequest.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private SearchModifier` | `modifier` How the search is to be modified
`private String` | `request` The actual search request
`private static long` | `serialVersionUID` Serialization ID

Constructor Summary
`DefaultSearchRequest(String theRequest)` Create a DefaultSearchRequest for the provided request.
`DefaultSearchRequest(String theRequest, SearchModifier theModifier)` Create a DefaultSearchRequest for the provided request and the provided modifiers.

Method Summary
`String` | `getRequest()`
`SearchModifier` | `getSearchModifier()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    private String request

  The actual search request

### modifier

    private SearchModifier modifier

  How the search is to be modified

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### DefaultSearchRequest

    public DefaultSearchRequest(String theRequest,
                                SearchModifier theModifier)

  Create a DefaultSearchRequest for the provided request and the provided modifiers.

  Parameters:
    `theRequest` - what is being searched
    `theModifier` - how the search is to be modified

### DefaultSearchRequest

    public DefaultSearchRequest(String theRequest)

  Create a DefaultSearchRequest for the provided request.

  Parameters:
    `theRequest` - what is being searched

Method Detail

### getSearchModifier

    public SearchModifier getSearchModifier()

  Specified by:
    `getSearchModifier` in interface `SearchRequest`
  Returns:
    the modifications to this SearchRequest

### getRequest

    public String getRequest()

  Specified by:
    `getRequest` in interface `SearchRequest`
  Returns:
    the request that is being operated upon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD